---
source_url: https://www.pubnub.com/docs/sdks/rest-api/send-fire-request
title: Send fire request
---

# Send fire request

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Send a message to [Functions event handlers](https://www.pubnub.com/docs/message-processing/serverless/overview.md) and [Illuminate](https://www.pubnub.com/docs/analytics/decisions/external-data-sources.md).

| Path Parameters |
| --- |
| `pub_key`string—**REQUIRED**You app’s publish key from Admin Portal.Example: pub-c-50264475-1902-558x-b37b-56d7fb64bf45 |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal.Example: sub-c-50264475-1902-558x-d213-7p19052012n2 |
| `channel`string—**REQUIRED**The channel ID to perform the operation on.Example: myChannel |
| `callback`string—**REQUIRED**The JSONP callback name to wrap the function in. Use 0 for no callback.Example (myCallback): myCallbackExample (zero): 0 |

| Query Parameters |
| --- |
| `store`integerThis parameter overrides the default account configuration on message saving. 1 to save, 0 not to save. |
| `auth`stringString which is either the auth key (Access Manager legacy) or a valid token (Access Manager) used to authorize the operation if access control is enabled.Example: myAuthKey |
| `meta`stringJSON with additional information. Contains additional information about the message, which can be used for stream filtering. Value must be a JSON stringified and URI encoded string.Example (meta sample): %7B%22cool%22%3A%22meta%22%7D |
| `uuid`stringA UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `norep`boolean—**REQUIRED**No replication across POPs. This value should be true for Fire as a message sent using Fire is not replicated.Example: true |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscribe key.If Access Manager is enabled, either a valid authorization token or a signature are required. Check Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.Required if the signature parameter is supplied. |

| Responses |
| --- |
| `200`OK |
| `400`Bad RequestSchema — OPTIONAL undefined[] | Schema—**OPTIONAL** | undefined[] |
| Schema—**OPTIONAL** |
| undefined[] |
| `403`ForbiddenSchema — OPTIONAL undefined[] | Schema—**OPTIONAL** | undefined[] |
| Schema—**OPTIONAL** |
| undefined[] |
| `413`Message payload is too large (>=32KiB)Schema — OPTIONAL undefined[] | Schema—**OPTIONAL** | undefined[] |
| Schema—**OPTIONAL** |
| undefined[] |
| `429`Request rate limit exceededSchema — OPTIONALstatus integer — OPTIONALerror boolean — OPTIONALmessage string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `error`boolean—**OPTIONAL** | `message`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `message`string—**OPTIONAL** |

`pub_key`*

Type: string

You app’s publish key from [Admin Portal](https://admin.pubnub.com).

`sub_key`*

Type: string

Your app's subscribe key from [Admin Portal](https://admin.pubnub.com).

`channel`*

Type: string

The channel ID to perform the operation on.

`callback`*

Type: string

The JSONP callback name to wrap the function in. Use `0` for no callback.

`store`

Type: integer

This parameter overrides the default account configuration on message saving. `1` to save, `0` not to save.

`auth`

Type: string

String which is either the auth key (Access Manager legacy) or a valid token ([Access Manager](https://www.pubnub.com/docs/security/access-control/overview.md)) used to authorize the operation if access control is enabled.

`meta`

Type: string

JSON with additional information. Contains additional information about the message, which can be used for stream filtering. Value must be a JSON stringified and URI encoded string.

`uuid`

Type: string

A UTF-8 encoded string of up to 92 characters used to [identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md).

`norep`*

Type: boolean

No replication across POPs. This value should be `true` for Fire as a message sent using Fire is not replicated.

`signature`

Type: string

Signature used to verify that the request was signed with the secret key associated with the subscribe key. If Access Manager is enabled, either a valid authorization token or a signature are required. Check [Access Manager documentation](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md) for details on how to compute the signature.

`timestamp`

Type: integer

Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP. Required if the `signature` parameter is supplied.

Example Response

```
[
  0,
  "Wildcard maximum depth exceeded",
  "16866840224081436"
]
```

Example Response

```
[
  0,
  "Forbidden"
]
```

Example Response

```
[
  0,
  "Request Entity Too Large"
]
```
